Subject: linux @ xup

From: Joachim Meyer <[email-masked]>
Date: Wed, 30 Jan 2008 11:03:54 +0100

Hi

I already succeded in setting up a Linux for the ml310. I'm trying to do it for the XUP Board now. The Problem I have is, that
in every HowTo I read I should set at the EDK's software settings under Library/OS Parameters:
Set PLB_CLOCK_FREQ_HZ to the PLB speed (usually 100000000)

But I can't find where to set it. With the ml310 there was this option. I'm using the EDK Board Definition File (.xbd), Pcores & Drivers from Xilinx:
http://www.xilinx.com/univ/xupv2p.html
EDK Version 9.1 SP2

If I ignore it and build the BSP there comes out an xparameters_ml300.h file which I copy to my Kernel sources.
When I try to compile, I get errors that the PLB_CLOCK_FREQ_HZ isn't defined.
Can I just add it to the xparameters_ml300.h file file (which I rename "xparameters_xupv2p.h") by Hand?

Greez and thx
Joachim
_________________________________________________________________________
In 5 Schritten zur eigenen Homepage. Jetzt Domain sichern und gestalten! 
Nur 3,99 EUR/Monat! http://www.maildomain.web.de/?mc=021114